Subject: Re: bug#29094: dired-do-compress creates empty archives

From: Max <[email-masked]>
Date: Thu, 7 Dec 2017 06:25:23 +0300

Noam Postavsky writes:

> So it's actually a bit surprising that the current values apparently
> work for most people.  I guess most GNU/Linux distros set the default
> to stdin?

I've investigated this a bit further. There is a DEFAULT_ARCHIVE
variable in GNU tar which is set at configuration time. The default
is '-'. Most distributions probably use the defaults.

In OpenBSD [1] and FreeBSD [2] makefiles for GNU tar DEFAULT_ARCHIVE
set to point to a tape drive. Probably to be consistent with tar(1)
provided in the base system which is also points to a tape drive.

> I assume you haven't assigned copyright to Emacs (so it should be
> marked as a tiny change)?

I haven't yet. As far as I know, these kind of small patches are
accepted without assigning a copyright. If not, please, let me know.

[1]: https://cvsweb.openbsd.org/cgi-bin/cvsweb/ports/archivers/gtar/Makefile?rev=1.78
[2]: https://svnweb.freebsd.org/ports/head/archivers/gtar/Makefile?revision=421635